Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
rng.h File Reference
`#include <botan/entropy_src.h>`
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`
`#include <botan/mutex.h>`
`#include <chrono>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Hardware_RNG
class | Botan::Null_RNG
class | Botan::RandomNumberGenerator

## Namespaces
| Botan

## Typedefs
typedef RandomNumberGenerator | Botan::RNG